#include <stdio.h>
#include "output/network.h"

int
main ()
{
  gchar *tmp;
  xmlDocPtr doc;
  xmlNodePtr node;
  g_type_init ();
  Network *n = network_new ();
  Network *n2;
  doc = xmlNewDoc ("1.0");
  network_set_dialinstalled (n, "foo");
  g_print ("network_set_dialinstalled (n, \"foo\"): %s\n",
	   network_get_dialinstalled (n));
  network_set_smbuse (n, 12);
  g_object_set (G_OBJECT (n), "dialinstalled", "<bar>", NULL);
  g_object_get (G_OBJECT (n), "dialinstalled", &tmp, NULL);
  printf ("g_object_get/set: %s\n", tmp);
  printf ("%d\n", network_get_smbuse (n));
  node = network_to_xml (n, doc, NULL);
  xmlSaveFormatFileEnc ("-", doc, "UTF-8", 1);
  n2 = network_new_from_xml (node);
  xmlFreeDoc (doc);
  doc = xmlNewDoc ("1.0");
  network_to_xml (n2, doc, NULL);
  xmlSaveFormatFileEnc ("-", doc, "UTF-8", 1);
  xmlCleanupParser ();
  xmlMemoryDump ();

  g_object_unref (G_OBJECT (n));
  return 0;
}
